﻿// <auto-generated />
using System;
using DigitalFileControl.Model;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace DigitalFileControl.Model.Migrations
{
    [DbContext(typeof(DigitalFileControlDB))]
    [Migration("20220424142057_Fixed_StackTrace_SintaxtError_in_ErrorLog")]
    partial class Fixed_StackTrace_SintaxtError_in_ErrorLog
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.3")
                .HasAnnotation("Relational:MaxIdentifierLength", 128);

            SqlServerModelBuilderExtensions.UseIdentityColumns(modelBuilder, 1L, 1);

            modelBuilder.Entity("DigitalFileControl.Model.Models.Document", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<DateTime>("CreationTime")
                        .HasColumnType("datetime2");

                    b.Property<string>("CreatorUserId")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("DocumentTypeId")
                        .HasColumnType("int");

                    b.Property<DateTime?>("ExpirationTime")
                        .HasColumnType("datetime2");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<DateTime?>("ModificationTime")
                        .HasColumnType("datetime2");

                    b.Property<string>("ModifierUserId")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid?>("OwnerId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("PhisicalName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.HasIndex("DocumentTypeId");

                    b.HasIndex("OwnerId");

                    b.ToTable("Documents");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            CreationTime = new DateTime(2022, 4, 24, 16, 20, 57, 393, DateTimeKind.Local).AddTicks(5339),
                            Description = "Documento generico di delega",
                            DocumentTypeId = 1,
                            ExpirationTime = new DateTime(2023, 4, 24, 16, 20, 57, 393, DateTimeKind.Local).AddTicks(5330),
                            IsDeleted = false,
                            Name = "Delega",
                            OwnerId = new Guid("992be209-a765-47bd-1058-08da257a523c"),
                            PhisicalName = "delega.pdf"
                        },
                        new
                        {
                            Id = 2,
                            CreationTime = new DateTime(2022, 4, 24, 16, 20, 57, 393, DateTimeKind.Local).AddTicks(5357),
                            Description = "Modello per la protezione dei dati personali",
                            DocumentTypeId = 1,
                            ExpirationTime = new DateTime(2023, 4, 24, 16, 20, 57, 393, DateTimeKind.Local).AddTicks(5355),
                            IsDeleted = false,
                            Name = "Privacy",
                            OwnerId = new Guid("992be209-a765-47bd-1058-08da257a523c"),
                            PhisicalName = "privacy.pdf"
                        },
                        new
                        {
                            Id = 3,
                            CreationTime = new DateTime(2022, 4, 24, 16, 20, 57, 393, DateTimeKind.Local).AddTicks(5407),
                            Description = "Modello certificazione unica",
                            DocumentTypeId = 1,
                            ExpirationTime = new DateTime(2023, 4, 24, 16, 20, 57, 393, DateTimeKind.Local).AddTicks(5398),
                            IsDeleted = false,
                            Name = "CUD",
                            OwnerId = new Guid("8ac1fdbf-d60b-4519-8c20-08da257f073f"),
                            PhisicalName = "cud.pdf"
                        });
                });

            modelBuilder.Entity("DigitalFileControl.Model.Models.DocumentType", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("DocumentTypes");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Name = "PDF"
                        });
                });

            modelBuilder.Entity("DigitalFileControl.Model.Models.ErrorLog", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<string>("Action")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Controller")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ErrorMessage")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("ErrorTime")
                        .HasColumnType("datetime2");

                    b.Property<string>("StackTrace")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("UserId")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("ErrorLogs");
                });

            modelBuilder.Entity("DigitalFileControl.Model.Models.User", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime>("CreationTime")
                        .HasColumnType("datetime2");

                    b.Property<string>("CreatorUserId")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("IsActive")
                        .HasColumnType("bit");

                    b.Property<DateTime?>("ModificationTime")
                        .HasColumnType("datetime2");

                    b.Property<string>("ModifierUserId")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Password")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Username")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Users");

                    b.HasData(
                        new
                        {
                            Id = new Guid("992be209-a765-47bd-1058-08da257a523c"),
                            CreationTime = new DateTime(2022, 4, 24, 16, 20, 57, 279, DateTimeKind.Local).AddTicks(5263),
                            IsActive = true,
                            Password = "$2a$11$IjBTbhlRRTYrU5H1zWWhIex.c.XbA72pyl/TNv7NvgASF7nDwtC/q",
                            Username = "gabriele.dandrea"
                        },
                        new
                        {
                            Id = new Guid("8ac1fdbf-d60b-4519-8c20-08da257f073f"),
                            CreationTime = new DateTime(2022, 4, 24, 16, 20, 57, 393, DateTimeKind.Local).AddTicks(5099),
                            IsActive = true,
                            Password = "$2a$11$ZbjHk4sGnBMBrs54d0l/3.oG6NU9ogybHa8Y23lGlT3TUYeHjn7bi",
                            Username = "domenico.bloisi"
                        });
                });

            modelBuilder.Entity("DigitalFileControl.Model.Models.UserDocument", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<bool>("CanDownload")
                        .HasColumnType("bit");

                    b.Property<bool>("CanPrint")
                        .HasColumnType("bit");

                    b.Property<bool>("CanView")
                        .HasColumnType("bit");

                    b.Property<int>("DocumentId")
                        .HasColumnType("int");

                    b.Property<bool>("IsVisible")
                        .HasColumnType("bit");

                    b.Property<int?>("MaxViewsNumber")
                        .HasColumnType("int");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<int>("ViewsNumber")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("DocumentId");

                    b.HasIndex("UserId");

                    b.ToTable("UserDocuments");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            CanDownload = false,
                            CanPrint = false,
                            CanView = true,
                            DocumentId = 1,
                            IsVisible = true,
                            UserId = new Guid("8ac1fdbf-d60b-4519-8c20-08da257f073f"),
                            ViewsNumber = 0
                        },
                        new
                        {
                            Id = 2,
                            CanDownload = false,
                            CanPrint = false,
                            CanView = true,
                            DocumentId = 2,
                            IsVisible = true,
                            MaxViewsNumber = 5,
                            UserId = new Guid("8ac1fdbf-d60b-4519-8c20-08da257f073f"),
                            ViewsNumber = 0
                        },
                        new
                        {
                            Id = 3,
                            CanDownload = false,
                            CanPrint = false,
                            CanView = true,
                            DocumentId = 3,
                            IsVisible = true,
                            MaxViewsNumber = 5,
                            UserId = new Guid("992be209-a765-47bd-1058-08da257a523c"),
                            ViewsNumber = 0
                        });
                });

            modelBuilder.Entity("DigitalFileControl.Model.Models.ViewLogs", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<int>("DocumentId")
                        .HasColumnType("int");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime>("ViewTime")
                        .HasColumnType("datetime2");

                    b.HasKey("Id");

                    b.HasIndex("DocumentId");

                    b.HasIndex("UserId");

                    b.ToTable("ViewLogs");
                });

            modelBuilder.Entity("DigitalFileControl.Model.Models.Document", b =>
                {
                    b.HasOne("DigitalFileControl.Model.Models.DocumentType", "DocumentType")
                        .WithMany()
                        .HasForeignKey("DocumentTypeId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("DigitalFileControl.Model.Models.User", "Owner")
                        .WithMany("OwnedDocuments")
                        .HasForeignKey("OwnerId");

                    b.Navigation("DocumentType");

                    b.Navigation("Owner");
                });

            modelBuilder.Entity("DigitalFileControl.Model.Models.UserDocument", b =>
                {
                    b.HasOne("DigitalFileControl.Model.Models.Document", "Document")
                        .WithMany("UserDocuments")
                        .HasForeignKey("DocumentId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("DigitalFileControl.Model.Models.User", "User")
                        .WithMany("UserDocuments")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Document");

                    b.Navigation("User");
                });

            modelBuilder.Entity("DigitalFileControl.Model.Models.ViewLogs", b =>
                {
                    b.HasOne("DigitalFileControl.Model.Models.Document", "Document")
                        .WithMany()
                        .HasForeignKey("DocumentId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("DigitalFileControl.Model.Models.User", "User")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Document");

                    b.Navigation("User");
                });

            modelBuilder.Entity("DigitalFileControl.Model.Models.Document", b =>
                {
                    b.Navigation("UserDocuments");
                });

            modelBuilder.Entity("DigitalFileControl.Model.Models.User", b =>
                {
                    b.Navigation("OwnedDocuments");

                    b.Navigation("UserDocuments");
                });
#pragma warning restore 612, 618
        }
    }
}
